Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoMonGenOp< EOT > Class Template Reference

Wrapper for eoMonOp. More...

`#include <eoGenOp.h>`

Inheritance diagram for eoMonGenOp< EOT >:

List of all members.

## Public Member Functions
| eoMonGenOp (eoMonOp< EOT > &_op)
unsigned | max_production (void)
| Max production is used to reserve space for all elements that are used by the operator, not setting it properly can result in a crash.
void | apply (eoPopulator< EOT > &_it)
| the function that will do the work
virtual std::string | className () const
## Private Attributes
eoMonOp< EOT > & | op

## Detailed Description

### template<class EOT>
class eoMonGenOp< EOT >

Wrapper for eoMonOp.

Definition at line 85 of file eoGenOp.h.

The documentation for this class was generated from the following file:

- eoGenOp.h